import { OnDestroy, ChangeDetectorRef, OnInit, TemplateRef } from '@angular/core';
import { BreadcrumbsService } from '../../services/breadcrumbs.service';
export declare class BreadcrumbsComponent implements OnInit, OnDestroy {
    breadcrumbsService: BreadcrumbsService;
    cdr: ChangeDetectorRef;
    linkTemplate: TemplateRef<any>;
    breadcrumbListClassValue: string;
    set breadcrumbListClass(breadcrumbListClass: string);
    get breadcrumbListClass(): string;
    breadcrumbListItemClassValue: string;
    set breadcrumbListItemClass(breadcrumbListItemClass: string);
    get breadcrumbListItemClass(): string;
    id: string;
    constructor(breadcrumbsService: BreadcrumbsService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
