(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms'), require('rxjs'), require('rxjs/operators'), require('@angular/router'), require('@angular/common'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('@monabbous/ng-bootstrap-components', ['exports', '@angular/core', '@angular/forms', 'rxjs', 'rxjs/operators', '@angular/router', '@angular/common', '@angular/platform-browser'], factory) :
    (global = global || self, factory((global.monabbous = global.monabbous || {}, global.monabbous['ng-bootstrap-components'] = {}), global.ng.core, global.ng.forms, global.rxjs, global.rxjs.operators, global.ng.router, global.ng.common, global.ng.platformBrowser));
}(this, (function (exports, core, forms, rxjs, operators, router, common, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var ImageInputValue = /** @class */ (function () {
        function ImageInputValue() {
        }
        return ImageInputValue;
    }());
    var ImageInputComponent = /** @class */ (function () {
        function ImageInputComponent(elementRef) {
            this.elementRef = elementRef;
            this.randomId = btoa(Math.random().toString());
            this.bootstrap = true;
            this.draggedOver = false;
            this.disabled = false;
            this.interactive = true;
            this.bgImage = '';
            this.valueChange = new rxjs.BehaviorSubject(this.value);
            this.onChangeFn = function (x) { return null; };
        }
        ImageInputComponent_1 = ImageInputComponent;
        Object.defineProperty(ImageInputComponent.prototype, "hasImage", {
            get: function () {
                return !!this.value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ImageInputComponent.prototype, "placeholderValue", {
            set: function (value) {
                this.originalValue = value;
                if (value && value.src) {
                    this.bgImage = "url(" + value.src + ")";
                }
                else {
                    this.bgImage = '';
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ImageInputComponent.prototype, "value", {
            get: function () {
                return this.originalValue;
            },
            set: function (value) {
                var _this = this;
                if (this.disabled) {
                    return;
                }
                if (this.modifier) {
                    this.disabled = true;
                    rxjs.of(value)
                        .pipe(this.modifier, operators.take(1), operators.finalize(function () {
                        _this.disabled = false;
                    }))
                        .subscribe(function (v) {
                        _this.disabled = false;
                        _this.originalValue = v;
                        _this.onChangeFn(v);
                        _this.valueChange.next(v);
                        _this.bgImage = "url(" + v.src + ")";
                    });
                    return;
                }
                this.originalValue = value;
                this.onChangeFn(value);
                this.valueChange.next(value);
                this.bgImage = "url(" + value.src + ")";
            },
            enumerable: true,
            configurable: true
        });
        ImageInputComponent.prototype.ngOnInit = function () {
        };
        ImageInputComponent.prototype.registerOnChange = function (fn) {
            this.onChangeFn = fn;
        };
        ImageInputComponent.prototype.registerOnTouched = function (fn) {
        };
        ImageInputComponent.prototype.writeValue = function (obj) {
            if (this.disabled || !obj) {
                return;
            }
            this.originalValue = obj;
            this.bgImage = "url(" + obj.src + ")";
        };
        ImageInputComponent.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        ImageInputComponent.prototype.fileChange = function ($event) {
            var _this = this;
            var target = ($event.target);
            var files = (target.files || $event.dataTransfer.files);
            if (files.length) {
                var reader_1 = new FileReader();
                reader_1.onload = function () {
                    var value = new ImageInputValue();
                    value.blob = files.item(0);
                    value.src = reader_1.result;
                    value.id = btoa(Math.random().toString());
                    _this.value = value;
                    target.value = null;
                };
                reader_1.readAsDataURL(files.item(0));
            }
            else {
                // this.hasImage = false;
                // this.value = {};
            }
        };
        var ImageInputComponent_1;
        ImageInputComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        __decorate([
            core.HostBinding('class.form-control')
        ], ImageInputComponent.prototype, "bootstrap", void 0);
        __decorate([
            core.HostBinding('class.dragging-over')
        ], ImageInputComponent.prototype, "draggedOver", void 0);
        __decorate([
            core.HostBinding('class.has-image')
        ], ImageInputComponent.prototype, "hasImage", null);
        __decorate([
            core.HostBinding('class.disabled'), core.Input()
        ], ImageInputComponent.prototype, "disabled", void 0);
        __decorate([
            core.HostBinding('class.interactive'), core.Input()
        ], ImageInputComponent.prototype, "interactive", void 0);
        __decorate([
            core.Input()
        ], ImageInputComponent.prototype, "placeholderValue", null);
        __decorate([
            core.Input()
        ], ImageInputComponent.prototype, "value", null);
        __decorate([
            core.Output()
        ], ImageInputComponent.prototype, "valueChange", void 0);
        __decorate([
            core.Input()
        ], ImageInputComponent.prototype, "modifier", void 0);
        ImageInputComponent = ImageInputComponent_1 = __decorate([
            core.Component({
                // tslint:disable-next-line:component-selector
                selector: 'image-input',
                template: "<div class=\"image\" [style.backgroundImage]=\"bgImage\"></div>\r\n<input type=\"file\"\r\n       accept=\"image/png, image/jpeg\"\r\n       (change)=\"fileChange($event)\"\r\n       (dragenter)=\"draggedOver = true\"\r\n       (dragover)=\"draggedOver = true\"\r\n       (dragend)=\"draggedOver = false\"\r\n       (dragleave)=\"draggedOver = false\"\r\n       (drop)=\"draggedOver = false; fileChange($event)\"\r\n       [id]=\"randomId\">\r\n<label [for]=\"randomId\">\r\n  <svg aria-hidden=\"true\" focusable=\"false\" data-prefix=\"fas\" data-icon=\"file-upload\" role=\"img\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 384 512\" class=\"svg-inline--fa fa-file-upload fa-w-12 fa-3x\"><path fill=\"#909090\" d=\"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm65.18 216.01H224v80c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16v-80H94.82c-14.28 0-21.41-17.29-11.27-27.36l96.42-95.7c6.65-6.61 17.39-6.61 24.04 0l96.42 95.7c10.15 10.07 3.03 27.36-11.25 27.36zM377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z\" class=\"\"></path></svg>\r\n</label>\r\n",
                providers: [{
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return ImageInputComponent_1; }),
                        multi: true
                    }],
                styles: [":host{min-width:200px;min-height:200px;position:relative;display:flex;padding:0;background-color:rgba(0,0,0,.1)}:host .image{background-size:contain;background-repeat:no-repeat;background-position:center center;height:100%!important;width:100%!important;flex:1;position:absolute}:host input[type=file]{height:100%!important;width:100%!important;border:0!important;margin:0!important;padding:0!important;position:absolute;flex:1;opacity:0;-webkit-filter:opacity(0);filter:opacity(0);cursor:pointer}:host label{display:flex;flex:1;max-height:100%;flex-direction:column;position:relative;margin:0!important;pointer-events:none}:host label svg{flex:1;height:0;min-height:50px;margin:auto}:host.dragging-over label{background:rgba(0,0,0,.2)}:host.has-image label{-webkit-filter:opacity(0);filter:opacity(0)}:host.has-image label svg{-webkit-filter:brightness(130%);filter:brightness(130%)}:host.has-image.dragging-over label,:host.has-image:hover label{-webkit-filter:opacity(1);filter:opacity(1);background:rgba(0,0,0,.2);display:flex}:host.disabled input,:host.disabled label{display:none!important;pointer-events:none!important}:host:not(.interactive) input,:host:not(.interactive) label{pointer-events:none;display:none}"]
            })
        ], ImageInputComponent);
        return ImageInputComponent;
    }());

    var GalleryImageValue = /** @class */ (function (_super) {
        __extends(GalleryImageValue, _super);
        function GalleryImageValue() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return GalleryImageValue;
    }(ImageInputValue));
    var ImageGalleryComponent = /** @class */ (function () {
        function ImageGalleryComponent() {
            var _this = this;
            this.disabled = false;
            this.bootstrap = true;
            this.valueChange = new rxjs.BehaviorSubject(this.value);
            this.delete = new core.EventEmitter();
            this.randomId = btoa(Math.random().toString());
            this.index = -1;
            this.originalValue = [
            // {
            //   src: 'https://source.unsplash.com/random',
            //   sort: 0
            // },
            // {
            //   src: 'https://source.unsplash.com/random',
            //   sort: 1
            // },
            // {
            //   src: 'https://source.unsplash.com/random',
            //   sort: 2
            // },
            // {
            //   src: 'https://source.unsplash.com/random',
            //   sort: 2
            // },
            ];
            this.dir = 'ltr';
            this.onChangeFn = function (x) { return null; };
            var targetNode = window.document.documentElement;
            var config = { attributes: true, childList: false, subtree: false };
            var callback = function (mutationsList, observer) {
                var e_1, _a;
                try {
                    // Use traditional 'for loops' for IE 11
                    for (var mutationsList_1 = __values(mutationsList), mutationsList_1_1 = mutationsList_1.next(); !mutationsList_1_1.done; mutationsList_1_1 = mutationsList_1.next()) {
                        var mutation = mutationsList_1_1.value;
                        if (mutation.type === 'attributes') {
                            _this.dir = targetNode.getAttribute('dir') || 'ltr';
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (mutationsList_1_1 && !mutationsList_1_1.done && (_a = mutationsList_1.return)) _a.call(mutationsList_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            };
            this.htmlElementObserver = new MutationObserver(callback);
            this.htmlElementObserver.observe(targetNode, config);
        }
        ImageGalleryComponent_1 = ImageGalleryComponent;
        Object.defineProperty(ImageGalleryComponent.prototype, "value", {
            get: function () {
                return this.originalValue;
            },
            set: function (value) {
                if (this.disabled) {
                    return;
                }
                this.originalValue = value.sort(function (a, b) { return a.sort - b.sort; });
                this.onChangeFn(value);
                this.valueChange.next(value);
                if (!this.selected && value.length) {
                    this.selected = this.originalValue[0];
                }
            },
            enumerable: true,
            configurable: true
        });
        ImageGalleryComponent.prototype.ngOnDestroy = function () {
            this.htmlElementObserver.disconnect();
        };
        ImageGalleryComponent.prototype.registerOnChange = function (fn) {
            this.onChangeFn = fn;
        };
        ImageGalleryComponent.prototype.registerOnTouched = function (fn) {
        };
        ImageGalleryComponent.prototype.writeValue = function (obj) {
            if (!obj) {
                return;
            }
            this.originalValue = obj.sort(function (a, b) { return a.sort - b.sort; });
            if (!this.selected && obj.length) {
                this.selected = this.originalValue[0];
            }
        };
        ImageGalleryComponent.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        ImageGalleryComponent.prototype.newImage = function ($event) {
            if (!$event) {
                return;
            }
            var newImage = __assign(__assign({}, $event), { sort: this.value.length });
            this.originalValue.push(newImage);
            this.value = this.originalValue;
            this.selected = newImage;
        };
        ImageGalleryComponent.prototype.deleteImage = function (index) {
            this.delete.next({ index: index, images: this.originalValue, deleted: this.originalValue[index] });
            delete this.originalValue[index];
            for (var i = index; i < this.originalValue.length - 1; i++) {
                this.originalValue[i] = this.originalValue[i + 1];
                this.originalValue[i].sort = i;
            }
            if (this.value.length) {
                if (index > 0) {
                    this.selected = this.originalValue[index];
                }
                else {
                    this.selected = this.originalValue[index - 1];
                }
            }
            else {
                this.selected = null;
            }
            this.originalValue.splice(this.originalValue.length - 1, 1);
            this.value = this.originalValue;
        };
        ImageGalleryComponent.prototype.swapImages = function (aIndex, bIndex) {
            if (!this.originalValue[aIndex] || !this.originalValue[bIndex]) {
                return;
            }
            var temp = this.originalValue[aIndex];
            this.originalValue[aIndex] = this.originalValue[bIndex];
            this.originalValue[bIndex] = temp;
            for (var i = 0; i < this.originalValue.length; i++) {
                this.originalValue[i].sort = i;
            }
        };
        var ImageGalleryComponent_1;
        __decorate([
            core.HostBinding('class.disabled'), core.Input()
        ], ImageGalleryComponent.prototype, "disabled", void 0);
        __decorate([
            core.HostBinding('class.form-control')
        ], ImageGalleryComponent.prototype, "bootstrap", void 0);
        __decorate([
            core.Output()
        ], ImageGalleryComponent.prototype, "valueChange", void 0);
        __decorate([
            core.Output()
        ], ImageGalleryComponent.prototype, "delete", void 0);
        __decorate([
            core.Input()
        ], ImageGalleryComponent.prototype, "imageInputModifier", void 0);
        ImageGalleryComponent = ImageGalleryComponent_1 = __decorate([
            core.Component({
                // tslint:disable-next-line:component-selector
                selector: 'image-gallery',
                template: "<div class=\"d-flex\">\r\n  <ng-container *ngIf=\"value.length > 1\">\r\n    <button type=\"button\" class=\"btn btn-light\" (click)=\"swapImages(selected.sort, selected.sort - 1)\" *ngIf=\"!this.disabled\">\r\n      <i\r\n        class=\"fas fa-fw fa-chevron-left\"\r\n        *ngIf=\"dir === 'rtl'\"></i>\r\n      <i\r\n        class=\"fas fa-fw fa-chevron-right\"\r\n        *ngIf=\"dir === 'ltr'\"></i>\r\n    </button>\r\n    <span class=\"mx-1 my-auto\">\r\n    {{selected?.sort + 1}}\r\n      <small> / {{value.length}}</small>\r\n    </span>\r\n    <button type=\"button\" class=\"btn btn-light\" (click)=\"swapImages(selected.sort, selected.sort + 1)\" *ngIf=\"!this.disabled\">\r\n      <i\r\n        class=\"fas fa-fw fa-chevron-right\"\r\n        *ngIf=\"dir === 'rtl'\"></i>\r\n      <i\r\n        class=\"fas fa-fw fa-chevron-left\"\r\n        *ngIf=\"dir === 'ltr'\"></i>\r\n    </button>\r\n  </ng-container>\r\n  <div class=\"flex-grow-1\"></div>\r\n  <button type=\"button\"\r\n          (click)=\"deleteImage(selected.sort)\"\r\n          class=\"btn btn-danger\" *ngIf=\"value.length && !this.disabled\">\r\n    <i class=\"fas fa-fw fa-trash\"></i>\r\n  </button>\r\n</div>\r\n<image-input\r\n  [placeholderValue]=\"selected\"\r\n  [disabled]=\"disabled\"\r\n  [modifier]=\"imageInputModifier\"\r\n  (valueChange)=\"newImage($event)\"\r\n  class=\"flex-grow-1 mt-1\"\r\n></image-input>\r\n<div class=\"row flex-nowrap gallery-slider p-md-4 p-2 mx-n2 \" *ngIf=\"value.length > 1\">\r\n  <div class=\"col-md-4 slide-item d-flex flex-column px-1\" *ngFor=\"let image of value; let i = index\">\r\n    <div class=\"bg-white rounded position-relative flex-grow-1 clickable shadow-sm\"\r\n         [class.shadow]=\"image.id === selected.id\"\r\n         (click)=\"selected = image\">\r\n      <div class=\"image\" [style.backgroundImage]=\"'url(' + image.src + ')'\"></div>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
                providers: [{
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return ImageGalleryComponent_1; }),
                        multi: true
                    }],
                styles: [":host{min-width:200px;min-height:300px;position:relative;display:flex;flex-direction:column}:host .gallery-slider{overflow-x:auto}:host .gallery-slider .slide-item{min-height:100px;min-width:100px}:host .gallery-slider .slide-item .image{background-size:contain;background-repeat:no-repeat;background-position:center center;height:100%!important;width:100%!important;flex-grow:1;position:absolute}"]
            })
        ], ImageGalleryComponent);
        return ImageGalleryComponent;
    }());

    var BreadcrumbsService = /** @class */ (function () {
        function BreadcrumbsService(activatedRoute, router$1) {
            var _this = this;
            this.activatedRoute = activatedRoute;
            this.router = router$1;
            this.breadcrumbs$ = new rxjs.BehaviorSubject([]);
            this.refresh$ = new rxjs.BehaviorSubject(null);
            this.cdrs = {};
            rxjs.merge(router$1.events
                .pipe(operators.filter(function (event) { return event instanceof router.NavigationEnd; })), this.refresh$).subscribe(function (event) { return __awaiter(_this, void 0, void 0, function () {
                var _a, _b;
                var _this = this;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            _b = (_a = this.breadcrumbs$).next;
                            return [4 /*yield*/, this.digBreadcrumbs(activatedRoute.root.snapshot, !event)];
                        case 1:
                            _b.apply(_a, [_c.sent()]);
                            setTimeout(function () { return Object.keys(_this.cdrs).forEach(function (key) { return _this.cdrs[key].detectChanges(); }); }, 3000);
                            return [2 /*return*/];
                    }
                });
            }); });
        }
        BreadcrumbsService.prototype.digBreadcrumbs = function (route, patched, breadcrumbs) {
            if (patched === void 0) { patched = false; }
            if (breadcrumbs === void 0) { breadcrumbs = []; }
            var _a, _b, _c;
            return __awaiter(this, void 0, void 0, function () {
                var config, breadcrumb, child;
                return __generator(this, function (_d) {
                    config = (route.routeConfig || {});
                    breadcrumb = {
                        id: btoa(Math.random().toString()),
                        url: '/' + route.pathFromRoot.map(function (o) { return o.url[0]; }).filter(function (u) { return !!(u === null || u === void 0 ? void 0 : u.path); }).join('/'),
                        index: breadcrumbs.length,
                    };
                    // @ts-ignore
                    (_a = route.routeConfig) === null || _a === void 0 ? void 0 : _a.id = breadcrumb.id;
                    if (patched && (config === null || config === void 0 ? void 0 : config.breadcrumbPatched)) {
                        breadcrumb.label = config.breadcrumbPatched;
                    }
                    else if ((config === null || config === void 0 ? void 0 : config.breadcrumb) || ((_b = config === null || config === void 0 ? void 0 : config.data) === null || _b === void 0 ? void 0 : _b.breadcrumb)) {
                        delete config.breadcrumbPatched;
                        breadcrumb.label = (config === null || config === void 0 ? void 0 : config.breadcrumb) || ((_c = config === null || config === void 0 ? void 0 : config.data) === null || _c === void 0 ? void 0 : _c.breadcrumb);
                    }
                    breadcrumbs.push(breadcrumb);
                    child = route.children.find(function (r) { return r.outlet === 'primary'; });
                    if (child) {
                        return [2 /*return*/, this.digBreadcrumbs(child, patched, breadcrumbs)];
                    }
                    return [2 /*return*/, breadcrumbs];
                });
            });
        };
        BreadcrumbsService.prototype.updateBreadcrumb = function (route, label) {
            var _this = this;
            var config = route.routeConfig;
            config.breadcrumbPatched = label;
            setTimeout(function () { return _this.refresh$.next(null); }, 3000);
        };
        BreadcrumbsService.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: router.Router }
        ]; };
        BreadcrumbsService.ɵprov = core.ɵɵdefineInjectable({ factory: function BreadcrumbsService_Factory() { return new BreadcrumbsService(core.ɵɵinject(router.ActivatedRoute), core.ɵɵinject(router.Router)); }, token: BreadcrumbsService, providedIn: "any" });
        BreadcrumbsService = __decorate([
            core.Injectable({
                providedIn: 'any',
            })
        ], BreadcrumbsService);
        return BreadcrumbsService;
    }());

    var BreadcrumbsComponent = /** @class */ (function () {
        function BreadcrumbsComponent(breadcrumbsService, cdr) {
            this.breadcrumbsService = breadcrumbsService;
            this.cdr = cdr;
            this.breadcrumbListClassValue = '';
            this.breadcrumbListItemClassValue = '';
            this.id = btoa(Math.random().toString());
            this.breadcrumbsService.cdrs[this.id] = cdr;
        }
        Object.defineProperty(BreadcrumbsComponent.prototype, "breadcrumbListClass", {
            get: function () {
                return this.breadcrumbListClassValue;
            },
            set: function (breadcrumbListClass) {
                this.breadcrumbListClassValue = breadcrumbListClass;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(BreadcrumbsComponent.prototype, "breadcrumbListItemClass", {
            get: function () {
                return this.breadcrumbListItemClassValue;
            },
            set: function (breadcrumbListItemClass) {
                this.breadcrumbListItemClassValue = breadcrumbListItemClass;
            },
            enumerable: true,
            configurable: true
        });
        BreadcrumbsComponent.prototype.ngOnInit = function () {
        };
        BreadcrumbsComponent.prototype.ngOnDestroy = function () {
            delete this.breadcrumbsService.cdrs[this.id];
        };
        BreadcrumbsComponent.ctorParameters = function () { return [
            { type: BreadcrumbsService },
            { type: core.ChangeDetectorRef }
        ]; };
        __decorate([
            core.Input()
        ], BreadcrumbsComponent.prototype, "linkTemplate", void 0);
        __decorate([
            core.Attribute('breadcrumbListClass'), core.Input()
        ], BreadcrumbsComponent.prototype, "breadcrumbListClass", null);
        __decorate([
            core.Attribute('breadcrumbListItemClass'), core.Input()
        ], BreadcrumbsComponent.prototype, "breadcrumbListItemClass", null);
        BreadcrumbsComponent = __decorate([
            core.Component({
                // tslint:disable-next-line:component-selector
                selector: 'nav[breadcrumbs]',
                template: "<ol class=\"breadcrumb {{breadcrumbListClass}}\">\n  <ng-container *ngFor=\"let breadcrumb of breadcrumbsService.breadcrumbs$ | async\">\n    <li class=\"breadcrumb-item {{breadcrumbListItemClass}}\" routerLinkActive=\"active\" *ngIf=\"breadcrumb.label\">\n      <ng-container *ngTemplateOutlet=\"linkTemplate || templateRef; context: breadcrumb\"></ng-container>\n    </li>\n  </ng-container>\n</ol>\n\n<ng-template #templateRef let-label=\"label\" let-url=\"url\" let-index=\"index\">\n  <a [routerLink]=\"url\" routerLinkActive=\"active\" [routerLinkActiveOptions]=\"{exact: true}\">{{label}}</a>\n</ng-template>\n",
                styles: [""]
            })
        ], BreadcrumbsComponent);
        return BreadcrumbsComponent;
    }());

    var popoverStyleElement = "\n  <style>\n    popover-container {\n        position: fixed;\n        top: 0;\n        left: 0;\n        z-index: 2000;\n    }\n\n    popover-container flying-popover {\n        position: absolute;\n        left: 0;\n        top: 0;\n        z-index: 0;\n        background-color: #fff;\n        will-change: transform;\n        filter: opacity(0);\n        pointer-events: none;\n        border-radius: 0.25rem;\n        border-color: white;\n    }\n\n    popover-container flying-popover.show {\n        filter: opacity(1) drop-shadow(0 0 0.5rem rgba(0, 0, 0, 0.3));\n        pointer-events: auto;\n    }\n\n    popover-container flying-popover::before {\n        content: '';\n        display: block;\n        border-color: inherit;\n        position: absolute;\n        z-index: -1;\n    }\n\n    popover-container flying-popover.arrow.top-left {\n        border-bottom-right-radius: 0;\n        margin-top: -.5rem;\n    }\n\n    popover-container flying-popover.arrow.top-left::before {\n        top: calc(100%);\n        left: calc(100% - .5rem);\n        border-bottom: .5rem solid transparent;\n        border-right: .5rem solid;\n        border-right-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.bottom-left {\n        border-top-right-radius: 0;\n        margin-top: .5rem;\n    }\n\n    popover-container flying-popover.arrow.bottom-left::before {\n        bottom: calc(100%);\n        left: calc(100% - .5rem);\n        border-top: .5rem solid transparent;\n        border-right: .5rem solid;\n        border-right-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.middle-left {\n        margin-left: -.5rem;\n    }\n\n    popover-container flying-popover.arrow.middle-left::before {\n        top: calc(50% - 0.25rem);\n        left: calc(100%);\n        border-top: .25rem solid transparent;\n        border-bottom: .25rem solid transparent;\n        border-left: .5rem solid;\n        border-left-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.top-right {\n        border-bottom-left-radius: 0;\n        margin-top: -.5rem;\n    }\n\n    popover-container flying-popover.arrow.top-right::before {\n        top: calc(100%);\n        right: calc(100% - .5rem);\n        border-bottom: .5rem solid transparent;\n        border-left: .5rem solid;\n        border-left-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.bottom-right {\n          border-top-left-radius: 0;\n          margin-top: .5rem;\n    }\n\n    popover-container flying-popover.arrow.bottom-right::before {\n        bottom: calc(100%);\n        right: calc(100% - .5rem);\n        border-top: .5rem solid transparent;\n        border-left: .5rem solid;\n        border-left-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.middle-right {\n        margin-left: .5rem;\n    }\n\n    popover-container flying-popover.arrow.middle-right::before {\n        top: calc(50% - 0.25rem);\n        right: calc(100%);\n        border-top: .25rem solid transparent;\n        border-bottom: .25rem solid transparent;\n        border-right: .5rem solid;\n        border-right-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.bottom-center {\n        margin-top: .5rem;\n    }\n\n    popover-container flying-popover.arrow.bottom-center::before {\n        bottom: calc(100%);\n        left: calc(50% - .25rem);\n        border-left: .25rem solid transparent;\n        border-right: .25rem solid transparent;\n        border-bottom: .5rem solid;\n        border-bottom-color: inherit;\n    }\n\n    popover-container flying-popover.arrow.top-center {\n        margin-top: -.5rem;\n    }\n\n    popover-container flying-popover.arrow.top-center::before {\n        top: calc(100%);\n        left: calc(50% - .25rem);\n        border-left: .25rem solid transparent;\n        border-right: .25rem solid transparent;\n        border-top: .5rem solid;\n        border-top-color: inherit;\n    }\n\n    popover-container flying-popover .popover-body {\n        padding: .5rem;\n        width: max-content;\n    }\n  </style>\n";
    var Popover = /** @class */ (function () {
        function Popover(_a) {
            var content = _a.content, anchorElement = _a.anchorElement, horizontal = _a.horizontal, vertical = _a.vertical, element = _a.element, popoverComponentRef = _a.popoverComponentRef;
            this.arrowClassValue = 'arrow';
            this.arrowClass = this.arrowClassValue;
            this.showValue = false;
            this.forceShow = false;
            this.customClass = '';
            this.matchWidth = false;
            this.ready = new rxjs.Subject();
            if (element) {
                this.element = element;
            }
            else if (popoverComponentRef) {
                this.popoverComponentRef = popoverComponentRef;
                this.element = popoverComponentRef.hostView.rootNodes[0];
            }
            else {
                this.element = document.createElement('flying-popover');
            }
            this.id = btoa(Math.random().toString());
            this.anchorElement = anchorElement;
            this.content = content;
            this.horizontal = horizontal || this.horizontal;
            this.vertical = vertical || this.vertical;
            this.ready.next(this);
            this.ready = rxjs.of(this);
        }
        Object.defineProperty(Popover.prototype, "show", {
            get: function () {
                return this.showValue || this.forceShow;
            },
            set: function (showValue) {
                this.showValue = showValue;
                this.updatePopOverPosition();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popover.prototype, "arrow", {
            set: function (b) {
                this.arrowClass = b ? this.arrowClassValue : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popover.prototype, "content", {
            set: function (content) {
                var _this = this;
                if (typeof content === 'string') {
                    this.element.innerHTML = "<div class=\"popover-body\">" + content + "</div>";
                }
                else if (content instanceof HTMLElement) {
                    this.element.innerHTML = "";
                    this.element.appendChild(content);
                }
                else if (Array.isArray(content)) {
                    this.element.innerHTML = "";
                    content.forEach(function (c) {
                        if (c instanceof HTMLElement) {
                            _this.element.appendChild(c);
                        }
                    });
                }
                else if (content instanceof core.TemplateRef && this.popoverComponentRef) {
                    this.popoverComponentRef.instance.setContent(content);
                }
            },
            enumerable: true,
            configurable: true
        });
        Popover.prototype.getPosition = function () {
            var anchorRect = this.anchorElement.getBoundingClientRect();
            if (this.matchWidth === 'min-width') {
                this.element.style.minWidth = anchorRect.width + 'px';
            }
            else if (this.matchWidth) {
                this.element.style.width = anchorRect.width + 'px';
            }
            else {
                delete this.element.style.width;
            }
            var popoverRect = this.element.getBoundingClientRect();
            var horizontal = this.horizontal;
            var vertical = this.vertical;
            var top = anchorRect.top;
            var left = anchorRect.left;
            var rtl = document.documentElement.getAttribute('dir') === 'rtl';
            switch (horizontal) {
                case 'center':
                    left += (anchorRect.width * .5) - (popoverRect.width * .5);
                    break;
                case 'start':
                    left += rtl ? anchorRect.width + popoverRect.width : -popoverRect.width;
                    horizontal = rtl ? 'right' : 'left';
                    break;
                case 'end':
                    left += rtl ? -popoverRect.width : anchorRect.width;
                    horizontal = rtl ? 'left' : 'right';
                    break;
                case 'left':
                    left += -popoverRect.width;
                    break;
                case 'right':
                    left += anchorRect.width;
                    break;
                case 'left-baseline':
                    left += 0;
                    horizontal = 'right';
                    break;
                case 'right-baseline':
                    left += anchorRect.width - popoverRect.width;
                    horizontal = 'left';
                    break;
                case 'start-baseline':
                    left += rtl ? anchorRect.width - popoverRect.width : 0;
                    horizontal = rtl ? 'left' : 'right';
                    break;
                case 'end-baseline':
                    left += rtl ? 0 : anchorRect.width - popoverRect.width;
                    horizontal = rtl ? 'right' : 'left';
                    break;
                case 'auto':
                    if (!rtl) {
                        if (left + anchorRect.width >= window.innerWidth) {
                            left += -popoverRect.width;
                            horizontal = 'left';
                        }
                        else {
                            left += anchorRect.width;
                            horizontal = 'right';
                        }
                    }
                    else {
                        if (left < 0) {
                            left += anchorRect.width;
                            horizontal = 'right';
                        }
                        else {
                            left += -popoverRect.width;
                            horizontal = 'left';
                        }
                    }
                    break;
            }
            left = Math.max(0, Math.min(window.innerWidth - popoverRect.width, left));
            left = left + 'px';
            switch (vertical) {
                case 'middle':
                    top += (anchorRect.height * .5) - (popoverRect.height * .5);
                    break;
                case 'top':
                    top += -popoverRect.height;
                    break;
                case 'bottom':
                    top += anchorRect.height;
                    break;
                case 'top-baseline':
                    top += 0;
                    break;
                case 'bottom-baseline':
                    top += anchorRect.height - popoverRect.height;
                    break;
                case 'auto':
                    if (top + anchorRect.height + popoverRect.height > window.innerHeight) {
                        top += -popoverRect.height;
                        vertical = 'top';
                    }
                    else {
                        top += anchorRect.height;
                        vertical = 'bottom';
                    }
                    break;
            }
            top = Math.max(0, Math.min(window.innerHeight - popoverRect.height, top));
            top = top + 'px';
            return {
                top: top,
                left: left,
                horizontal: horizontal,
                vertical: vertical,
            };
        };
        Popover.prototype.updatePopOverPosition = function () {
            var _this = this;
            var position = this.getPosition();
            requestAnimationFrame(function () {
                _this.element.style.transform = "translate(" + position.left + ", " + position.top + ")";
                _this.element.className = _this.show ?
                    "show " + position.vertical + "-" + position.horizontal + " " + _this.customClass + " " + _this.arrowClass
                    : _this.customClass;
            });
        };
        return Popover;
    }());
    var FlyingPopoverComponent = /** @class */ (function () {
        function FlyingPopoverComponent() {
            this.content$ = new rxjs.BehaviorSubject(null);
            this.ngDestroy$ = new rxjs.Subject();
        }
        FlyingPopoverComponent.prototype.setContent = function (template) {
            this.content$.next(template);
        };
        FlyingPopoverComponent.prototype.ngAfterContentInit = function () {
            var _this = this;
            this.content$
                .pipe(operators.takeUntil(this.ngDestroy$), operators.filter(function (template) { return template; }))
                .subscribe(function (template) {
                _this.container.clear();
                _this.container.createEmbeddedView(template);
            });
        };
        FlyingPopoverComponent.prototype.ngOnDestroy = function () {
            this.ngDestroy$.next();
        };
        __decorate([
            core.ViewChild('container', { static: true, read: core.ViewContainerRef })
        ], FlyingPopoverComponent.prototype, "container", void 0);
        FlyingPopoverComponent = __decorate([
            core.Component({
                // tslint:disable-next-line:component-selector
                selector: 'flying-popover',
                template: '<ng-template #container></ng-template>',
                styles: ['']
            })
        ], FlyingPopoverComponent);
        return FlyingPopoverComponent;
    }());
    var PopoverService = /** @class */ (function () {
        function PopoverService(componentFactoryResolver, appRef, injector) {
            var _this = this;
            this.componentFactoryResolver = componentFactoryResolver;
            this.appRef = appRef;
            this.injector = injector;
            this.popovers = [];
            this.underObservation = [];
            this.containerElement = document.createElement('popover-container');
            this.containerElement.innerHTML = (popoverStyleElement);
            document.body.append(this.containerElement);
            rxjs.merge(rxjs.fromEvent(window, 'scroll', { capture: true }), rxjs.fromEvent(window, 'resize')
                .pipe(operators.debounceTime(1000)))
                .subscribe(function () {
                _this.underObservation.forEach(function (popover) { return popover.updatePopOverPosition(); });
            });
        }
        PopoverService.prototype.addPopover = function (popover) {
            return __awaiter(this, void 0, void 0, function () {
                var popoverComponentRef, service, newPopover;
                return __generator(this, function (_a) {
                    popoverComponentRef = this.componentFactoryResolver.resolveComponentFactory(FlyingPopoverComponent).create(this.injector);
                    this.appRef.attachView(popoverComponentRef.hostView);
                    delete popover.element;
                    popover.popoverComponentRef = popoverComponentRef;
                    service = this;
                    newPopover = new Proxy(new Popover(popover), {
                        set: function (target, p, value) {
                            if (p === 'show') {
                                target[p] = value;
                                if (!target.show) {
                                    var index = service.underObservation.findIndex(function (pop) { return pop.id === target.id; });
                                    if (index > -1) {
                                        service.underObservation.splice(index, 1);
                                    }
                                }
                                else {
                                    var index = service.underObservation.findIndex(function (pop) { return pop.id === target.id; });
                                    if (index === -1) {
                                        service.underObservation.push(target);
                                    }
                                }
                            }
                            target[p] = value;
                            return true;
                        }
                    });
                    this.containerElement.append(popoverComponentRef.hostView.rootNodes[0]);
                    this.popovers.push(newPopover);
                    if (!newPopover.show) {
                        this.underObservation.push(newPopover);
                    }
                    newPopover.updatePopOverPosition();
                    return [2 /*return*/, (newPopover)];
                });
            });
        };
        PopoverService.prototype.removePopover = function (id) {
            var index = this.popovers.findIndex(function (pop) { return pop.id === id; });
            var index2 = this.underObservation.findIndex(function (pop) { return pop.id === id; });
            if (index !== -1) {
                this.popovers[index].element.remove();
                delete this.popovers[index];
                this.popovers.splice(index, 1);
            }
            if (index2 !== -1) {
                delete this.underObservation[index];
                this.underObservation.splice(index, 1);
            }
        };
        PopoverService.ctorParameters = function () { return [
            { type: core.ComponentFactoryResolver },
            { type: core.ApplicationRef },
            { type: core.Injector }
        ]; };
        PopoverService.ɵprov = core.ɵɵdefineInjectable({ factory: function PopoverService_Factory() { return new PopoverService(core.ɵɵinject(core.ComponentFactoryResolver), core.ɵɵinject(core.ApplicationRef), core.ɵɵinject(core.INJECTOR)); }, token: PopoverService, providedIn: "root" });
        PopoverService = __decorate([
            core.Injectable({
                providedIn: 'root'
            })
        ], PopoverService);
        return PopoverService;
    }());

    var PopoverDirective = /** @class */ (function () {
        function PopoverDirective(popoverService, elementRef) {
            this.popoverService = popoverService;
            this.elementRef = elementRef;
            this.ngDestroy$ = new rxjs.Subject();
            this.popoverContentValue$ = new rxjs.BehaviorSubject('');
            this.popoverOnHook = '';
            this.popoverPlacementValue = {
                horizontal: 'auto',
                vertical: 'auto',
            };
            this.popoverClassValue = '';
            this.popoverArrowValue = true;
            this.popoverMatchWidthValue = false;
        }
        Object.defineProperty(PopoverDirective.prototype, "popoverContent", {
            set: function (content) {
                this.popoverContentValue$.next(content);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PopoverDirective.prototype, "popoverOn", {
            set: function (hook) {
                if (hook === this.popoverOnHook) {
                    return;
                }
                this.popoverOnHook = hook;
                this.updateHook();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PopoverDirective.prototype, "popoverPlacement", {
            set: function (popoverPlacementValue) {
                var _a;
                this.popoverPlacementValue = popoverPlacementValue;
                (_a = this.popover) === null || _a === void 0 ? void 0 : _a.updatePopOverPosition();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PopoverDirective.prototype, "popoverClass", {
            set: function (customClass) {
                this.popoverClassValue = customClass;
                if (this.popover) {
                    this.popover.customClass = customClass;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PopoverDirective.prototype, "popoverArrow", {
            set: function (customArrow) {
                this.popoverArrowValue = customArrow;
                if (this.popover) {
                    this.popover.arrow = customArrow;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PopoverDirective.prototype, "popoverMatchWidth", {
            set: function (matchWidth) {
                this.popoverMatchWidthValue = matchWidth;
                if (this.popover) {
                    this.popover.matchWidth = matchWidth;
                }
            },
            enumerable: true,
            configurable: true
        });
        PopoverDirective.prototype.show = function () {
            this.popover.show = true;
        };
        PopoverDirective.prototype.hide = function () {
            this.popover.show = false;
        };
        PopoverDirective.prototype.forceShow = function (bool) {
            if (bool === void 0) { bool = true; }
            this.popover.forceShow = bool;
            this.popover.updatePopOverPosition();
        };
        PopoverDirective.prototype.ngAfterContentInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _a;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            _a = this;
                            return [4 /*yield*/, this.popoverService.addPopover({
                                    anchorElement: this.elementRef.nativeElement,
                                    content: this.popoverContentValue$.value,
                                    vertical: this.popoverPlacementValue.vertical,
                                    horizontal: this.popoverPlacementValue.horizontal,
                                })];
                        case 1:
                            _a.popover = _b.sent();
                            this.popover.customClass = this.popoverClassValue;
                            this.popover.arrow = this.popoverArrowValue;
                            this.popover.matchWidth = this.popoverMatchWidthValue;
                            setTimeout(function () { return _this.popover.updatePopOverPosition(); }, 1000);
                            this.updateHook();
                            this.popoverContentValue$
                                .pipe(operators.takeUntil(this.ngDestroy$), operators.tap(function (elements) { return _this.popover.content = elements; }))
                                .subscribe();
                            return [2 /*return*/];
                    }
                });
            });
        };
        PopoverDirective.prototype.updateHook = function () {
            if (!this.popover) {
                return;
            }
            switch (this.popoverOnHook) {
                case 'hover':
                    this.activateOnHover();
                    break;
                case 'click':
                    this.activateOnClick();
                    break;
            }
        };
        PopoverDirective.prototype.activateOnHover = function () {
            var _this = this;
            rxjs.fromEvent(this.popover.element, 'mouseover', { capture: true })
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'hover'; }), operators.tap(function () { return _this.popover.forceShow = true; }))
                .subscribe();
            rxjs.fromEvent(this.popover.element, 'mouseleave')
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'hover'; }), operators.tap(function () { return _this.popover.forceShow = false; }), operators.tap(function () { return _this.popover.updatePopOverPosition(); }))
                .subscribe();
            rxjs.fromEvent(this.elementRef.nativeElement, 'mouseover', { capture: true })
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'hover'; }))
                .subscribe(function () { return _this.popover.show = true; });
            rxjs.fromEvent(this.elementRef.nativeElement, 'mouseleave')
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'hover'; }))
                .subscribe(function () { return _this.popover.show = false; });
            rxjs.fromEvent(window, 'click')
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'hover'; }))
                .subscribe(function (event) {
                return !_this.popover.element.contains(event.target) ?
                    _this.popover.show = _this.popover.forceShow = false
                    : null;
            });
        };
        PopoverDirective.prototype.activateOnClick = function () {
            var _this = this;
            rxjs.fromEvent(this.elementRef.nativeElement, 'click')
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'click'; }))
                .subscribe(function () { return _this.popover.show = !_this.popover.show; });
            rxjs.fromEvent(window, 'click')
                .pipe(operators.takeUntil(this.ngDestroy$), operators.takeWhile(function () { return _this.popoverOnHook === 'click'; }))
                .subscribe(function (event) {
                return !_this.popover.element.contains(event.target)
                    &&
                        !_this.elementRef.nativeElement.contains(event.target)
                    ? _this.popover.show = _this.popover.forceShow = false
                    : null;
            });
        };
        PopoverDirective.prototype.ngOnDestroy = function () {
            var _a;
            this.ngDestroy$.next();
            this.popoverService.removePopover((_a = this.popover) === null || _a === void 0 ? void 0 : _a.id);
        };
        PopoverDirective.ctorParameters = function () { return [
            { type: PopoverService },
            { type: core.ElementRef }
        ]; };
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverContent", null);
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverOn", null);
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverPlacement", null);
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverClass", null);
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverArrow", null);
        __decorate([
            core.Input()
        ], PopoverDirective.prototype, "popoverMatchWidth", null);
        PopoverDirective = __decorate([
            core.Directive({
                // tslint:disable-next-line:directive-selector
                selector: '[popover]',
                exportAs: 'popover'
            })
        ], PopoverDirective);
        return PopoverDirective;
    }());

    var PressAndHoldEvent = /** @class */ (function (_super) {
        __extends(PressAndHoldEvent, _super);
        function PressAndHoldEvent() {
            return _super.call(this, 'pressandhold') || this;
        }
        return PressAndHoldEvent;
    }(Event));
    function pressAndHoldEventInit(element, delay) {
        if (delay === void 0) { delay = 500; }
        var ev = new PressAndHoldEvent();
        var frame;
        var pressDown = function () {
            element.dispatchEvent(ev);
            var time = performance.now();
            var pressHold = function () {
                if (time + delay <= performance.now()) {
                    element.dispatchEvent(ev);
                }
                frame = requestAnimationFrame(pressHold);
            };
            frame = requestAnimationFrame(pressHold);
        };
        var pressUp = function () {
            cancelAnimationFrame(frame);
        };
        element.addEventListener('touchstart', pressDown, false);
        element.addEventListener('touchend', pressUp, false);
        element.addEventListener('touchcancel', pressUp, false);
        element.addEventListener('mousedown', pressDown, false);
        element.addEventListener('mouseup', pressUp, false);
        element.addEventListener('mouseleave', pressUp, false);
    }

    var numberRegex = /(?:[-+]?\d+\.?\d*)|[\s-+*/]/g;
    var AdvanceInputDirective = /** @class */ (function () {
        function AdvanceInputDirective(model, elementRef, renderer) {
            this.model = model;
            this.elementRef = elementRef;
            this.renderer = renderer;
            this.forceType = 'text';
            this.ngDestroy$ = new rxjs.Subject();
            this.prefixValue = '';
            this.suffixValue = '';
            this.cursorPosition = 0;
            this.model.valueAccessor.registerOnChange = function registerOnChange(fn) {
                this.onChange = fn;
            };
        }
        Object.defineProperty(AdvanceInputDirective.prototype, "type", {
            set: function (type) {
                this.typeValue = type;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AdvanceInputDirective.prototype, "prefix", {
            set: function (prefix) {
                this.prefixValue = prefix;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AdvanceInputDirective.prototype, "suffix", {
            set: function (suffix) {
                this.suffixValue = suffix;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AdvanceInputDirective.prototype, "controls", {
            set: function (controls) {
                var _a, _b;
                this.controlsValue = controls;
                if (this.typeValue === 'number') {
                    if (this.controlsValue && this.element) {
                        this.initializeControls();
                    }
                    else {
                        (_a = this.incrementElement) === null || _a === void 0 ? void 0 : _a.remove();
                        (_b = this.decrementElement) === null || _b === void 0 ? void 0 : _b.remove();
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        AdvanceInputDirective.prototype.updateValue = function (value) {
            if (value === void 0) { value = ''; }
            var _a;
            value = (value + '').replace(new RegExp('^' + this.prefixValue), '');
            value = (value + '').replace(new RegExp(this.suffixValue + '&'), '');
            switch (this.typeValue) {
                case 'number':
                    value = value.replace(/(\s)+/g, '$1');
                    value = value.replace(/([^-+*/]|\s)([-+*/])+/g, '$1$2');
                    value = value.replace(/(\s[-+*/]\s)[-+*/]/g, '$1');
                    // remove the repetition of the left edge zeros of numbers
                    value = value.replace(/^([\s]*)(0)+/g, '$1$2');
                    value = value.replace(/([^\d.])(0)+/g, '$1$2');
                    // remove the left edge zeros of numbers
                    value = value.replace(/^([\s]*)(?:0|(0\.))([\d]+)/g, '$1$2$3');
                    value = value.replace(/([^\d.])(?:0|(0\.))([\d]+)/g, '$1$2$3');
                    value = (_a = value.match(numberRegex)) === null || _a === void 0 ? void 0 : _a.join('');
                    value = !isNaN(this.min) && !isNaN(+value) ? Math.max(+value, this.min) + '' : value;
                    value = !isNaN(this.max) && !isNaN(+value) ? Math.min(+value, this.max) + '' : value;
                    if (value !== undefined && value.match(/^\s*[-+]?(?:\d+|\d+\.\d+)$/g) && !value.match(/^\s*[-+]?(?:\d+\.\d*0)$/g)) {
                        value = value !== '' ? parseFloat(value) : undefined;
                        value = isNaN(value) ? undefined : value;
                    }
                    break;
            }
            this.value = value;
            this.model.control.setValue(this.prefixValue
                + ([null, undefined].includes(this.value) ? '' : this.value)
                + this.suffixValue, { emitEvent: false });
            this.model.control.setValue(this.value, { emitViewToModelChange: true, emitModelToViewChange: false });
            return this.value;
        };
        AdvanceInputDirective.prototype.forceCursor = function ($event) {
            if (($event === null || $event === void 0 ? void 0 : $event.type) === 'select') {
                $event.preventDefault();
            }
            this.cursorPosition = this.element.selectionStart;
            var cursorPositionEnd = this.element.selectionEnd;
            this.cursorPosition = Math.max(this.prefixValue.length, this.cursorPosition);
            this.cursorPosition = Math.min(this.element.value.length - this.suffixValue.length, this.cursorPosition);
            cursorPositionEnd = Math.max(this.prefixValue.length, cursorPositionEnd);
            cursorPositionEnd = Math.min(this.element.value.length - this.suffixValue.length, cursorPositionEnd);
            this.element.setSelectionRange(this.cursorPosition, cursorPositionEnd, this.element.selectionDirection);
        };
        AdvanceInputDirective.prototype.evalValue = function ($event) {
            var _a;
            if (($event.type === 'keydown' && $event.key === 'Enter') || $event.type === 'blur') {
                switch (this.typeValue) {
                    case 'number':
                        var value = this.value;
                        try {
                            // tslint:disable-next-line:no-eval
                            this.updateValue(eval(this.value));
                        }
                        catch (e) {
                            this.updateValue((_a = (this.value + '' || '').match(/(?:[-+]?\d+\.?\d*)/)) === null || _a === void 0 ? void 0 : _a.join(''));
                        }
                        if (+value !== +this.value) {
                            if ($event.type === 'keydown') {
                                $event.stopPropagation();
                                $event.preventDefault();
                            }
                        }
                        break;
                }
            }
        };
        AdvanceInputDirective.prototype.onKeyDown = function ($event) {
            this.forceCursor($event);
            this.evalValue($event);
            switch (this.typeValue) {
                case 'number':
                    if (['ArrowUp', 'ArrowDown'].includes($event.key)) {
                        $event.preventDefault();
                        $event.stopPropagation();
                        $event.stopImmediatePropagation();
                        var multiplier = 1;
                        if ($event.altKey) {
                            multiplier = 0.1;
                        }
                        else {
                            multiplier = $event.metaKey || $event.ctrlKey ? multiplier * 10 : multiplier;
                            multiplier = $event.shiftKey ? multiplier * 100 : multiplier;
                        }
                        if ($event.key === 'ArrowUp') {
                            this.updateValue(((this.value * 10) + (multiplier * 10)) / 10);
                        }
                        if ($event.key === 'ArrowDown') {
                            this.updateValue(((this.value * 10) - (multiplier * 10)) / 10);
                        }
                        $event.preventDefault();
                        this.cursorPosition = this.prefixValue.length;
                        var cursorPositionEnd = this.element.value.length - this.suffixValue.length;
                        this.element.setSelectionRange(this.cursorPosition, cursorPositionEnd, 'none');
                    }
                    break;
            }
        };
        AdvanceInputDirective.prototype.initializeControls = function () {
            var _this = this;
            var _a, _b;
            if (this.incrementElement && this.decrementElement) {
                return;
            }
            (_a = this.incrementElement) === null || _a === void 0 ? void 0 : _a.remove();
            (_b = this.decrementElement) === null || _b === void 0 ? void 0 : _b.remove();
            this.incrementElement = this.renderer.createElement('div');
            this.decrementElement = this.renderer.createElement('div');
            this.incrementElement.className = this.decrementElement.className = 'input-group-append';
            this.element.parentElement.append(this.decrementElement, this.incrementElement);
            var incrementButton = this.renderer.createElement('button');
            incrementButton.innerHTML = "<i class=\"fas fa-sm fa-plus fa-fw\"></i>";
            this.incrementElement.appendChild(incrementButton);
            var decrementButton = this.renderer.createElement('button');
            decrementButton.innerHTML = "<i class=\"fas fa-sm fa-minus fa-fw\"></i>";
            this.decrementElement.appendChild(decrementButton);
            incrementButton.className = decrementButton.className = 'btn btn-sm btn-primary';
            incrementButton.type = decrementButton.type = 'button';
            pressAndHoldEventInit(incrementButton);
            pressAndHoldEventInit(decrementButton);
            incrementButton.addEventListener('pressandhold', function () { return _this.updateValue(_this.value + 1); });
            decrementButton.addEventListener('pressandhold', function () { return _this.updateValue(_this.value - 1); });
        };
        AdvanceInputDirective.prototype.ngAfterContentInit = function () {
            var _this = this;
            this.element = this.elementRef.nativeElement;
            this.element.autocomplete = 'off';
            this.element.type = 'text';
            if (!this.element.classList.contains('form-control')) {
                this.element.classList.add('form-control');
            }
            if (!this.element.parentElement.classList.contains('input-group')) {
                var parent_1 = this.element.parentNode;
                var inputGroup = this.renderer.createElement('div');
                this.renderer.addClass(inputGroup, 'input-group');
                this.renderer.appendChild(inputGroup, this.element);
                this.renderer.appendChild(parent_1, inputGroup);
            }
            this.controls = this.controlsValue;
            this.model.valueChanges
                .pipe(operators.takeUntil(this.ngDestroy$), operators.distinctUntilChanged(), operators.map(function (value) { return _this.updateValue(value); }))
                .subscribe();
        };
        AdvanceInputDirective.prototype.ngOnDestroy = function () {
            this.ngDestroy$.next();
        };
        AdvanceInputDirective.ctorParameters = function () { return [
            { type: forms.NgModel, decorators: [{ type: core.Self }] },
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        __decorate([
            core.Attribute('type'), core.Input()
        ], AdvanceInputDirective.prototype, "type", null);
        __decorate([
            core.Attribute('prefix'), core.Input()
        ], AdvanceInputDirective.prototype, "prefix", null);
        __decorate([
            core.Attribute('suffix'), core.Input()
        ], AdvanceInputDirective.prototype, "suffix", null);
        __decorate([
            core.Attribute('controls'), core.Input()
        ], AdvanceInputDirective.prototype, "controls", null);
        __decorate([
            core.Attribute('min'), core.Input()
        ], AdvanceInputDirective.prototype, "min", void 0);
        __decorate([
            core.Attribute('max'), core.Input()
        ], AdvanceInputDirective.prototype, "max", void 0);
        __decorate([
            core.Attribute('type'), core.HostBinding('type')
        ], AdvanceInputDirective.prototype, "forceType", void 0);
        __decorate([
            core.HostListener('focus'),
            core.HostListener('click'),
            core.HostListener('select', ['$event'])
        ], AdvanceInputDirective.prototype, "forceCursor", null);
        __decorate([
            core.HostListener('blur', ['$event'])
        ], AdvanceInputDirective.prototype, "evalValue", null);
        __decorate([
            core.HostListener('keydown', ['$event'])
        ], AdvanceInputDirective.prototype, "onKeyDown", null);
        AdvanceInputDirective = __decorate([
            core.Directive({
                // tslint:disable-next-line:directive-selector
                selector: 'input[advanceInput]',
            }),
            __param(0, core.Self())
        ], AdvanceInputDirective);
        return AdvanceInputDirective;
    }());

    var TriggerOnViewportService = /** @class */ (function () {
        function TriggerOnViewportService() {
            var _this = this;
            this.elements = [];
            rxjs.merge(rxjs.fromEvent(window, 'scroll'), rxjs.fromEvent(window, 'resize'))
                .pipe(operators.debounceTime(1000)).subscribe(function () {
                _this.elements.forEach(function (element, i) { return _this.processElement(element, i); });
            });
        }
        TriggerOnViewportService.prototype.addElement = function (element) {
            if (this.elements.find(function (e) { return e.element.isSameNode(element.element); })) {
                return;
            }
            this.elements.push(element);
            window.dispatchEvent(new Event('resize'));
        };
        TriggerOnViewportService.prototype.processElement = function (element, i) {
            var rect = element.element.getBoundingClientRect();
            if (rect.top >= 0
                && rect.top <= window.innerHeight
                && rect.left >= 0
                && rect.left <= window.innerWidth) {
                element.callback();
                this.elements.splice(i, 1);
            }
        };
        TriggerOnViewportService.ɵprov = core.ɵɵdefineInjectable({ factory: function TriggerOnViewportService_Factory() { return new TriggerOnViewportService(); }, token: TriggerOnViewportService, providedIn: "root" });
        TriggerOnViewportService = __decorate([
            core.Injectable({
                providedIn: 'root'
            })
        ], TriggerOnViewportService);
        return TriggerOnViewportService;
    }());

    var ImgService = /** @class */ (function () {
        function ImgService() {
        }
        ImgService.ɵprov = core.ɵɵdefineInjectable({ factory: function ImgService_Factory() { return new ImgService(); }, token: ImgService, providedIn: "root" });
        ImgService = __decorate([
            core.Injectable({
                providedIn: 'root'
            })
        ], ImgService);
        return ImgService;
    }());

    var ImgDirective = /** @class */ (function () {
        function ImgDirective(elementRef, triggerOnViewportService, imgService) {
            this.elementRef = elementRef;
            this.triggerOnViewportService = triggerOnViewportService;
            this.imgService = imgService;
            this.loading = 'lazy';
            this.thumbnailSrcValue = this.imgService.loadingImage;
            this.errorSrcValue = this.imgService.imageNotFound;
        }
        Object.defineProperty(ImgDirective.prototype, "thumbnailSrc", {
            get: function () {
                return this.thumbnailSrcValue;
            },
            set: function (src) {
                this.thumbnailSrcValue = src;
                if (this.status === 'loading') {
                    this.elementRef.nativeElement.src = src;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ImgDirective.prototype, "errorSrc", {
            get: function () {
                return this.errorSrcValue;
            },
            set: function (src) {
                this.errorSrcValue = src;
                if (this.status === 'error') {
                    this.elementRef.nativeElement.src = src;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ImgDirective.prototype, "source", {
            set: function (src) {
                var _this = this;
                this.originalSrc = src;
                this.image = new Image();
                this.image.remove();
                this.image.onload = function () {
                    _this.status = 'loaded';
                    _this.elementRef.nativeElement.src = _this.originalSrc;
                    _this.image.remove();
                };
                this.image.onerror = function () {
                    _this.status = 'error';
                    _this.elementRef.nativeElement.src = (_this.errorSrc || _this.thumbnailSrc);
                    _this.image.remove();
                };
                this.status = 'loading';
                if (this.thumbnailSrc) {
                    this.elementRef.nativeElement.src = this.thumbnailSrc;
                }
                if (this.loading === 'eager') {
                    this.image.src = src;
                }
                else if (this.loading === 'lazy') {
                    this.triggerOnViewportService.addElement({
                        element: this.elementRef.nativeElement, callback: function () { return _this.image.src = _this.originalSrc; }
                    });
                }
            },
            enumerable: true,
            configurable: true
        });
        ImgDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: TriggerOnViewportService },
            { type: ImgService }
        ]; };
        __decorate([
            core.Attribute('loading'), core.Input()
        ], ImgDirective.prototype, "loading", void 0);
        __decorate([
            core.Attribute('thumbnailSrc'), core.Input('thumbnailSrc')
        ], ImgDirective.prototype, "thumbnailSrc", null);
        __decorate([
            core.Attribute('errorSrc'), core.Input('errorSrc')
        ], ImgDirective.prototype, "errorSrc", null);
        __decorate([
            core.Attribute('src'), core.Input('src')
        ], ImgDirective.prototype, "source", null);
        ImgDirective = __decorate([
            core.Directive({
                // tslint:disable-next-line:directive-selector
                selector: 'img'
            })
        ], ImgDirective);
        return ImgDirective;
    }());

    var ImageInputComponentsModule = /** @class */ (function () {
        function ImageInputComponentsModule() {
        }
        ImageInputComponentsModule = __decorate([
            core.NgModule({
                declarations: [ImageInputComponent, ImageGalleryComponent],
                imports: [
                    common.CommonModule,
                ],
                exports: [ImageInputComponent, ImageGalleryComponent],
            })
        ], ImageInputComponentsModule);
        return ImageInputComponentsModule;
    }());
    var PopoverModule = /** @class */ (function () {
        function PopoverModule() {
        }
        PopoverModule = __decorate([
            core.NgModule({
                declarations: [PopoverDirective],
                imports: [common.CommonModule],
                exports: [PopoverDirective],
            })
        ], PopoverModule);
        return PopoverModule;
    }());
    // @dynamic
    var ImgModule = /** @class */ (function () {
        function ImgModule() {
        }
        ImgModule_1 = ImgModule;
        ImgModule.forRoot = function (options) {
            return ({
                ngModule: ImgModule_1,
                providers: [
                    {
                        provide: core.APP_INITIALIZER,
                        useFactory: function (imgService, sanitizer) {
                            if (typeof (options === null || options === void 0 ? void 0 : options.defaultErrorImage) === 'string') {
                                imgService.imageNotFound = sanitizer.bypassSecurityTrustUrl(options.defaultErrorImage);
                            }
                            else if (options === null || options === void 0 ? void 0 : options.defaultErrorImage) {
                                imgService.imageNotFound = sanitizer.bypassSecurityTrustUrl("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='utf-8'%3F%3E%3C!-- Generator: Adobe Illustrator 24.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E%3Csvg version='1.1' id='Layer_1' focusable='false' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:%23AFAFAF;%7D%0A%3C/style%3E%3Cg%3E%3Cpath class='st0' d='M46.3,448l48-48H54c-3.3,0-6-2.7-6-6V118c0-3.3,2.7-6,6-6h328.3l48-48H48C21.5,64,0,85.5,0,112v288 C0,425.9,20.6,447.1,46.3,448z'/%3E%3Cpolygon class='st0' points='416,352 416,272 347.3,203.3 198.7,352 '/%3E%3Cpath class='st0' d='M482.8,67.8L438.7,112H458c3.3,0,6,2.7,6,6v276c0,3.3-2.7,6-6,6H150.7l-48,48H464c26.5,0,48-21.5,48-48V112 C512,92.2,500,75.2,482.8,67.8z'/%3E%3Ccircle class='st0' cx='128' cy='192' r='40'/%3E%3Cpath class='st0' d='M135.5,264.5L96,304v48h46.3l48.9-48.9l-38.7-38.7C147.8,259.8,140.2,259.8,135.5,264.5z'/%3E%3Cg%3E%3Cpath class='st0' d='M56.1,480.4c-3.6,0-7.1-1.4-9.9-4.1c-5.5-5.5-5.5-14.3,0-19.7L460,42.7c5.5-5.5,14.3-5.5,19.7,0 c5.5,5.5,5.5,14.3,0,19.7L66,476.3C63.2,479,59.7,480.4,56.1,480.4z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
                            }
                            if (typeof (options === null || options === void 0 ? void 0 : options.defaultThumbnailImage) === 'string') {
                                imgService.loadingImage = sanitizer.bypassSecurityTrustUrl(options.defaultThumbnailImage);
                            }
                            else if (options === null || options === void 0 ? void 0 : options.defaultThumbnailImage) {
                                imgService.loadingImage = sanitizer.bypassSecurityTrustUrl("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='utf-8'%3F%3E%3C!-- Generator: Adobe Illustrator 24.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E%3Csvg version='1.1' id='Layer_1' focusable='false' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:%23AFAFAF;%7D%0A%3C/style%3E%3Ccircle class='st0' cx='256' cy='256' r='256'%3E%3Canimate attributeName='r' values='0;256' dur='1s' repeatCount='indefinite'/%3E%3Canimate attributeName='opacity' values='1;0' dur='1s' repeatCount='indefinite'/%3E%3C/circle%3E%3C/svg%3E%0A");
                            }
                        },
                        deps: [ImgService, platformBrowser.DomSanitizer],
                        multi: true
                    }
                ],
            });
        };
        var ImgModule_1;
        ImgModule = ImgModule_1 = __decorate([
            core.NgModule({
                declarations: [ImgDirective],
                imports: [common.CommonModule],
                exports: [ImgDirective],
            })
        ], ImgModule);
        return ImgModule;
    }());
    var AdvanceInputModule = /** @class */ (function () {
        function AdvanceInputModule() {
        }
        AdvanceInputModule = __decorate([
            core.NgModule({
                declarations: [AdvanceInputDirective],
                imports: [common.CommonModule],
                exports: [AdvanceInputDirective],
            })
        ], AdvanceInputModule);
        return AdvanceInputModule;
    }());
    var BreadcrumbsModule = /** @class */ (function () {
        function BreadcrumbsModule() {
        }
        BreadcrumbsModule = __decorate([
            core.NgModule({
                declarations: [BreadcrumbsComponent],
                imports: [common.CommonModule, router.RouterModule],
                exports: [BreadcrumbsComponent],
            })
        ], BreadcrumbsModule);
        return BreadcrumbsModule;
    }());
    var NabbousBootstrapComponentsModule = /** @class */ (function () {
        function NabbousBootstrapComponentsModule() {
        }
        NabbousBootstrapComponentsModule = __decorate([
            core.NgModule({
                imports: [
                    common.CommonModule,
                    ImageInputComponentsModule,
                    AdvanceInputModule,
                    PopoverModule,
                    BreadcrumbsModule,
                    ImgModule,
                ],
                exports: [
                    ImageInputComponentsModule,
                    AdvanceInputModule,
                    PopoverModule,
                    BreadcrumbsModule,
                    ImgModule,
                ]
            })
        ], NabbousBootstrapComponentsModule);
        return NabbousBootstrapComponentsModule;
    }());

    exports.AdvanceInputDirective = AdvanceInputDirective;
    exports.AdvanceInputModule = AdvanceInputModule;
    exports.BreadcrumbsComponent = BreadcrumbsComponent;
    exports.BreadcrumbsModule = BreadcrumbsModule;
    exports.BreadcrumbsService = BreadcrumbsService;
    exports.GalleryImageValue = GalleryImageValue;
    exports.ImageGalleryComponent = ImageGalleryComponent;
    exports.ImageInputComponent = ImageInputComponent;
    exports.ImageInputComponentsModule = ImageInputComponentsModule;
    exports.ImageInputValue = ImageInputValue;
    exports.ImgDirective = ImgDirective;
    exports.ImgModule = ImgModule;
    exports.ImgService = ImgService;
    exports.NabbousBootstrapComponentsModule = NabbousBootstrapComponentsModule;
    exports.Popover = Popover;
    exports.PopoverDirective = PopoverDirective;
    exports.PopoverModule = PopoverModule;
    exports.PopoverService = PopoverService;
    exports.TriggerOnViewportService = TriggerOnViewportService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=monabbous-ng-bootstrap-components.umd.js.map
